Contenu | Rechercher | Menus

Annonce

Ubuntu-fr vend de superbes t-shirts et de belles clés USB 32Go
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#51 Le 03/12/2019, à 00:26

melixgaro

Re : Problème pour obtenir numpy et scipy

voui

Que donnent ?

pip --version
pip3 --version

Linux depuis ~2007. Xubuntu seulement.

Hors ligne

#52 Le 03/12/2019, à 00:33

Thais26

Re : Problème pour obtenir numpy et scipy

lucie@lucie-Latitude-5480:~$ pip --version
pip 19.3.1 from /home/lucie/.local/lib/python3.6/site-packages/pip (python 3.6)
lucie@lucie-Latitude-5480:~$ pip3 --version
pip 19.3.1 from /home/lucie/.local/lib/python3.6/site-packages/pip (python 3.6)
lucie@lucie-Latitude-5480:~$ 

Hors ligne

#53 Le 03/12/2019, à 00:39

melixgaro

Re : Problème pour obtenir numpy et scipy

Ah tu as deux versions de pip, une système et une locale (uniquement pour l'utilisateur avec lequel tu es connectée). Les versions ci-dessus correspondent aux versions locales et sont à jour (elles viennent de pypi).

Pour les version systèmes (celle qu'on vient de réinstaller), lance ceci

/usr/bin/pip --version
/usr/bin/pip3 --version

Linux depuis ~2007. Xubuntu seulement.

Hors ligne

#54 Le 03/12/2019, à 00:42

Thais26

Re : Problème pour obtenir numpy et scipy

Voici :

lucie@lucie-Latitude-5480:~$ /usr/bin/pip --version
Traceback (most recent call last):
  File "/usr/bin/pip", line 9, in <module>
    from pip import main
ImportError: cannot import name main
lucie@lucie-Latitude-5480:~$ /usr/bin/pip3 --version
Traceback (most recent call last):
  File "/usr/bin/pip3", line 9, in <module>
    from pip import main
ImportError: cannot import name 'main'
lucie@lucie-Latitude-5480:~$ 

Hors ligne

#55 Le 03/12/2019, à 00:51

melixgaro

Re : Problème pour obtenir numpy et scipy

ah voilà, ça beugue à cause des versions locales.

donne

pip list --user

et

pip3 list --user

PS : tu dis quand tu souhaites arrêter pour reprendre demain


Linux depuis ~2007. Xubuntu seulement.

Hors ligne

#56 Le 03/12/2019, à 09:37

Thais26

Re : Problème pour obtenir numpy et scipy

Désolée je m'étais endormie!

Du coup voilà :

lucie@lucie-Latitude-5480:~$ pip list --user
Package Version
------- -------
numpy   1.16.3 
pip     19.3.1 
lucie@lucie-Latitude-5480:~$ pip3 list --user
Package Version
------- -------
numpy   1.16.3 
pip     19.3.1 
lucie@lucie-Latitude-5480:~$ 

Hors ligne

#57 Le 04/12/2019, à 09:47

xubu1957

Re : Problème pour obtenir numpy et scipy

Bonjour,

Montre la simulation :

sudo apt -s dist-upgrade

Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#58 Le 04/12/2019, à 09:50

Thais26

Re : Problème pour obtenir numpy et scipy

Bonjour,

Je suis désolée de vous déranger encore une fois mais j'aimerais savoir ce que je dois faire suite à ces étapes ? En fait je fais tout cela dans le but de télécharger PIL (je voudrais faire un traitement d'image sur Python).

Mais quand j'effectue la commande suivante, j'ai encore la même erreur qui s'affiche :

lucie@lucie-Latitude-5480:~$ sudo pip install PIL
[sudo] Mot de passe de lucie : 
Traceback (most recent call last):
  File "/usr/bin/pip", line 9, in <module>
    from pip import main
ImportError: cannot import name main

Hors ligne

#59 Le 04/12/2019, à 09:52

Thais26

Re : Problème pour obtenir numpy et scipy

Oh j'ai envoyé mon message presqu'en même temps, je n'avais pas vu que tu m'avais répondu!

Voici :

lucie@lucie-Latitude-5480:~$ sudo apt -s dist-upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les NOUVEAUX paquets suivants seront installés :
  gstreamer1.0-gtk3
Les paquets suivants seront mis à jour :
  apt apt-utils base-files command-not-found command-not-found-data
  console-setup console-setup-linux cups cups-bsd cups-client cups-common
  cups-core-drivers cups-daemon cups-ipp-utils cups-ppdc cups-server-common
  debconf debconf-i18n deja-dup desktop-file-utils dmsetup e2fsprogs
  evolution-data-server evolution-data-server-common fonts-opensymbol
  friendly-recovery fwupd fwupd-signed gedit gedit-common gir1.2-gtk-3.0
  gir1.2-mutter-3 gir1.2-nm-1.0 gir1.2-packagekitglib-1.0 gir1.2-pango-1.0
  gir1.2-snapd-1 gir1.2-totem-1.0 gir1.2-upowerglib-1.0 gjs gkbd-capplet
  gnome-control-center gnome-control-center-data gnome-control-center-faces
  gnome-initial-setup gnome-settings-daemon gnome-settings-daemon-schemas
  gnome-shell-extension-ubuntu-dock gnome-software gnome-software-common
  gnome-software-plugin-snap grilo-plugins-0.3-base grub-common
  grub-efi-amd64-bin grub-efi-amd64-signed grub-pc grub-pc-bin grub2-common
  gstreamer1.0-packagekit gtk-update-icon-cache initramfs-tools
  initramfs-tools-bin initramfs-tools-core irqbalance keyboard-configuration
  kmod libapt-inst2.0 libapt-pkg5.0 libasound2 libasound2-data
  libboost-date-time1.67.0 libboost-filesystem1.67.0 libboost-iostreams1.67.0
  libboost-locale1.67.0 libboost-system1.67.0 libboost-thread1.67.0
  libcairo-gobject2 libcairo2 libcamel-1.2-62 libcom-err2 libcups2 libcupscgi1
  libcupsimage2 libcupsmime1 libcupsppdc1 libdevmapper1.02.1
  libebackend-1.2-10 libebook-1.2-19 libebook-contacts-1.2-2 libecal-1.2-19
  libedata-book-1.2-25 libedata-cal-1.2-29 libedataserver-1.2-23
  libedataserverui-1.2-2 libegl-mesa0 libegl1-mesa libext2fs2 libfwupd2
  libgail-3-0 libgbm1 libgjs0g libgl1-mesa-dri libglapi-mesa libglx-mesa0
  libgnomekbd-common libgnomekbd8 libgtk-3-0 libgtk-3-bin libgtk-3-common
  libidn11 libkmod2 libldap-2.4-2 libldap-common libmutter-3-0
  libnautilus-extension1a libneon27-gnutls libnm0 libnss-systemd libnuma1
  libpackagekit-glib2-18 libpam-modules libpam-modules-bin libpam-runtime
  libpam-systemd libpam0g libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0
  libpangoxft-1.0-0 libparted-fs-resize0 libparted2 libpcre3 libplymouth4
  libpulse-mainloop-glib0 libpulse0 libpulsedsp
  libreoffice-avmedia-backend-gstreamer libreoffice-base-core libreoffice-calc
  libreoffice-common libreoffice-core libreoffice-draw libreoffice-gnome
  libreoffice-gtk3 libreoffice-help-en-us libreoffice-help-fr
  libreoffice-impress libreoffice-l10n-fr libreoffice-math
  libreoffice-ogltrans libreoffice-pdfimport libreoffice-style-breeze
  libreoffice-style-colibre libreoffice-style-elementary
  libreoffice-style-tango libreoffice-writer libsnapd-glib1 libss2 libssl1.1
  libsystemd0 libtotem0 libudev1 libunistring2 libupower-glib3
  libwayland-client0 libwayland-cursor0 libwayland-egl1 libwayland-server0
  libxatracker2 mutter mutter-common nautilus nautilus-data netplan.io
  network-manager network-manager-config-connectivity-ubuntu openssl openvpn
  packagekit packagekit-tools parted plymouth plymouth-label
  plymouth-theme-ubuntu-logo plymouth-theme-ubuntu-text psmisc pulseaudio
  pulseaudio-module-bluetooth pulseaudio-utils python-apt-common python3-apt
  python3-commandnotfound python3-debconf python3-distro-info
  python3-distupgrade python3-distutils python3-gdbm python3-lib2to3
  python3-software-properties python3-tk python3-uno python3-update-manager
  shotwell shotwell-common snapd software-properties-common
  software-properties-gtk syslinux syslinux-common systemd systemd-sysv
  thermald totem totem-common totem-plugins ubuntu-desktop ubuntu-minimal
  ubuntu-release-upgrader-core ubuntu-release-upgrader-gtk ubuntu-software
  ubuntu-standard udev ufw unattended-upgrades uno-libs3 update-manager
  update-manager-core upower ure xdg-desktop-portal xkb-data
230 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst base-files [10.1ubuntu7] (10.1ubuntu7.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf base-files (10.1ubuntu7.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libnss-systemd [239-7ubuntu10.12] (239-7ubuntu10.14 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libsystemd0 [239-7ubuntu10.12] (239-7ubuntu10.14 Ubuntu:18.10/cosmic-updates [amd64]) [systemd:amd64 ]
Conf libsystemd0 (239-7ubuntu10.14 Ubuntu:18.10/cosmic-updates [amd64]) [systemd:amd64 ]
Inst systemd-sysv [239-7ubuntu10.12] (239-7ubuntu10.14 Ubuntu:18.10/cosmic-updates [amd64]) [systemd:amd64 ]
Inst libpam-systemd [239-7ubuntu10.12] (239-7ubuntu10.14 Ubuntu:18.10/cosmic-updates [amd64]) [systemd:amd64 ]
Inst systemd [239-7ubuntu10.12] (239-7ubuntu10.14 Ubuntu:18.10/cosmic-updates [amd64])
Inst udev [239-7ubuntu10.12] (239-7ubuntu10.14 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libudev1 [239-7ubuntu10.12] (239-7ubuntu10.14 Ubuntu:18.10/cosmic-updates [amd64])
Conf libudev1 (239-7ubuntu10.14 Ubuntu:18.10/cosmic-updates [amd64])
Inst kmod [25-1ubuntu1] (25-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libkmod2 [25-1ubuntu1] (25-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst python3-debconf [1.5.69] (1.5.69ubuntu1 Ubuntu:18.10/cosmic-updates [all]) []
Inst debconf-i18n [1.5.69] (1.5.69ubuntu1 Ubuntu:18.10/cosmic-updates [all]) []
Inst debconf [1.5.69] (1.5.69ubuntu1 Ubuntu:18.10/cosmic-updates [all])
Conf debconf (1.5.69ubuntu1 Ubuntu:18.10/cosmic-updates [all])
Inst libpam0g [1.1.8-3.6ubuntu2] (1.1.8-3.6ubuntu3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libpam0g (1.1.8-3.6ubuntu3 Ubuntu:18.10/cosmic-updates [amd64])
Inst libpam-modules-bin [1.1.8-3.6ubuntu2] (1.1.8-3.6ubuntu3 Ubuntu:18.10/cosmic-updates [amd64]) [libpam-modules:amd64 on libpam-modules-bin:amd64] [libpam-modules:amd64 ]
Conf libpam-modules-bin (1.1.8-3.6ubuntu3 Ubuntu:18.10/cosmic-updates [amd64]) [libpam-modules:amd64 ]
Inst libpam-modules [1.1.8-3.6ubuntu2] (1.1.8-3.6ubuntu3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libpam-modules (1.1.8-3.6ubuntu3 Ubuntu:18.10/cosmic-updates [amd64])
Inst libpam-runtime [1.1.8-3.6ubuntu2] (1.1.8-3.6ubuntu3 Ubuntu:18.10/cosmic-updates [all])
Conf libpam-runtime (1.1.8-3.6ubuntu3 Ubuntu:18.10/cosmic-updates [all])
Inst libapt-pkg5.0 [1.7.0ubuntu0.1] (1.7.5 Ubuntu:18.10/cosmic-updates [amd64])
Conf libapt-pkg5.0 (1.7.5 Ubuntu:18.10/cosmic-updates [amd64])
Inst libapt-inst2.0 [1.7.0ubuntu0.1] (1.7.5 Ubuntu:18.10/cosmic-updates [amd64])
Inst snapd [2.37.4+18.10.1] (2.39.2+18.10 Ubuntu:18.10/cosmic-updates [amd64])
Inst apt [1.7.0ubuntu0.1] (1.7.5 Ubuntu:18.10/cosmic-updates [amd64]) [apt-utils:amd64 ]
Conf apt (1.7.5 Ubuntu:18.10/cosmic-updates [amd64]) [apt-utils:amd64 ]
Inst apt-utils [1.7.0ubuntu0.1] (1.7.5 Ubuntu:18.10/cosmic-updates [amd64])
Inst initramfs-tools-core [0.131ubuntu15.1] (0.131ubuntu15.2 Ubuntu:18.10/cosmic-updates [all]) [initramfs-tools:amd64 ]
Inst grub-pc [2.02+dfsg1-5ubuntu8] (2.02+dfsg1-5ubuntu8.3 Ubuntu:18.10/cosmic-updates [amd64]) [initramfs-tools:amd64 ]
Inst grub2-common [2.02+dfsg1-5ubuntu8] (2.02+dfsg1-5ubuntu8.3 Ubuntu:18.10/cosmic-updates [amd64]) [initramfs-tools:amd64 ]
Inst grub-pc-bin [2.02+dfsg1-5ubuntu8] (2.02+dfsg1-5ubuntu8.3 Ubuntu:18.10/cosmic-updates [amd64]) [initramfs-tools:amd64 ]
Inst grub-efi-amd64-signed [1.110+2.02+dfsg1-5ubuntu8] (1.110.3+2.02+dfsg1-5ubuntu8.3 Ubuntu:18.10/cosmic-updates [amd64]) [initramfs-tools:amd64 ]
Inst grub-efi-amd64-bin [2.02+dfsg1-5ubuntu8] (2.02+dfsg1-5ubuntu8.3 Ubuntu:18.10/cosmic-updates [amd64]) [initramfs-tools:amd64 ]
Inst grub-common [2.02+dfsg1-5ubuntu8] (2.02+dfsg1-5ubuntu8.3 Ubuntu:18.10/cosmic-updates [amd64]) [initramfs-tools:amd64 ]
Inst friendly-recovery [0.2.39] (0.2.39ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [all]) [initramfs-tools:amd64 ]
Inst initramfs-tools [0.131ubuntu15.1] (0.131ubuntu15.2 Ubuntu:18.10/cosmic-updates [all]) []
Inst libext2fs2 [1.44.4-2] (1.44.4-2ubuntu0.2 Ubuntu:18.10/cosmic-updates [amd64]) [e2fsprogs:amd64 on libext2fs2:amd64] [e2fsprogs:amd64 ]
Conf libext2fs2 (1.44.4-2ubuntu0.2 Ubuntu:18.10/cosmic-updates [amd64]) [e2fsprogs:amd64 ]
Inst e2fsprogs [1.44.4-2] (1.44.4-2ubuntu0.2 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst initramfs-tools-bin [0.131ubuntu15.1] (0.131ubuntu15.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst libdevmapper1.02.1 [2:1.02.145-4.1ubuntu3] (2:1.02.145-4.1ubuntu3.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst console-setup-linux [1.178ubuntu9] (1.178ubuntu9.2 Ubuntu:18.10/cosmic-updates [all]) []
Inst console-setup [1.178ubuntu9] (1.178ubuntu9.2 Ubuntu:18.10/cosmic-updates [all]) []
Inst keyboard-configuration [1.178ubuntu9] (1.178ubuntu9.2 Ubuntu:18.10/cosmic-updates [all])
Inst xkb-data [2.23.1-1ubuntu1] (2.23.1-1ubuntu1.18.10.1 Ubuntu:18.10/cosmic-updates [all])
Inst libcupsmime1 [2.2.8-5ubuntu1.1] (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst cups-core-drivers [2.2.8-5ubuntu1.1] (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst cups-server-common [2.2.8-5ubuntu1.1] (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [all]) []
Inst cups-ipp-utils [2.2.8-5ubuntu1.1] (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst cups-common [2.2.8-5ubuntu1.1] (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [all]) []
Inst libcupsppdc1 [2.2.8-5ubuntu1.1] (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libcupsimage2 [2.2.8-5ubuntu1.1] (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libcupscgi1 [2.2.8-5ubuntu1.1] (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst cups-daemon [2.2.8-5ubuntu1.1] (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst cups-client [2.2.8-5ubuntu1.1] (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64]) [cups-bsd:amd64 ]
Inst libcups2 [2.2.8-5ubuntu1.1] (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64]) [cups-bsd:amd64 cups:amd64 ]
Inst cups [2.2.8-5ubuntu1.1] (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64]) [cups-bsd:amd64 ]
Inst cups-bsd [2.2.8-5ubuntu1.1] (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64])
Inst cups-ppdc [2.2.8-5ubuntu1.1] (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64])
Inst libpcre3 [2:8.39-11] (2:8.39-12~18.10 Ubuntu:18.10/cosmic-updates [amd64])
Conf libpcre3 (2:8.39-12~18.10 Ubuntu:18.10/cosmic-updates [amd64])
Inst libunistring2 [0.9.10-1ubuntu1] (0.9.10-1ubuntu1.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libunistring2 (0.9.10-1ubuntu1.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libcom-err2 [1.44.4-2] (1.44.4-2ubuntu0.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst libss2 [1.44.4-2] (1.44.4-2ubuntu0.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst dmsetup [2:1.02.145-4.1ubuntu3] (2:1.02.145-4.1ubuntu3.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libidn11 [1.33-2.2ubuntu1] (1.33-2.2ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libssl1.1 [1.1.1-1ubuntu2.1] (1.1.1-1ubuntu2.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst netplan.io [0.40.2] (0.97-0ubuntu1~18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst openssl [1.1.1-1ubuntu2.1] (1.1.1-1ubuntu2.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst ubuntu-minimal [1.425] (1.425.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst command-not-found [18.10.0~pre1] (18.10.0~pre2 Ubuntu:18.10/cosmic-updates [all]) []
Inst python3-commandnotfound [18.10.0~pre1] (18.10.0~pre2 Ubuntu:18.10/cosmic-updates [all]) []
Inst command-not-found-data [18.10.0~pre1] (18.10.0~pre2 Ubuntu:18.10/cosmic-updates [amd64])
Inst python-apt-common [1.7.0] (1.7.1 Ubuntu:18.10/cosmic-updates [all])
Inst python3-apt [1.7.0] (1.7.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst python3-gdbm [3.6.6-1] (3.6.8-1~18.10 Ubuntu:18.10/cosmic-updates [amd64])
Inst libnuma1 [2.0.11-2.2] (2.0.11-2.2ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst irqbalance [1.3.0-0.1build1] (1.3.0-0.1ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst parted [3.2-21ubuntu1] (3.2-21ubuntu2 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libparted-fs-resize0 [3.2-21ubuntu1] (3.2-21ubuntu2 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libparted2 [3.2-21ubuntu1] (3.2-21ubuntu2 Ubuntu:18.10/cosmic-updates [amd64])
Inst libplymouth4 [0.9.3-1ubuntu10] (0.9.3-1ubuntu10.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst plymouth-theme-ubuntu-text [0.9.3-1ubuntu10] (0.9.3-1ubuntu10.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libcairo2 [1.15.12-1] (1.15.12-1ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libpango-1.0-0 [1.42.4-3] (1.42.4-3ubuntu1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libpangoft2-1.0-0 [1.42.4-3] (1.42.4-3ubuntu1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libpangocairo-1.0-0 [1.42.4-3] (1.42.4-3ubuntu1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst plymouth-theme-ubuntu-logo [0.9.3-1ubuntu10] (0.9.3-1ubuntu10.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst plymouth-label [0.9.3-1ubuntu10] (0.9.3-1ubuntu10.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst plymouth [0.9.3-1ubuntu10] (0.9.3-1ubuntu10.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst psmisc [23.1-1build1] (23.1-1ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst python3-distro-info [0.18] (0.18ubuntu0.18.10.2 Ubuntu:18.10/cosmic-updates [all])
Inst libpangoxft-1.0-0 [1.42.4-3] (1.42.4-3ubuntu1 Ubuntu:18.10/cosmic-updates [amd64])
Inst gir1.2-pango-1.0 [1.42.4-3] (1.42.4-3ubuntu1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libgail-3-0 [3.24.1-1ubuntu2] (3.24.4-0ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libcairo-gobject2 [1.15.12-1] (1.15.12-1ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libwayland-client0 [1.16.0-1ubuntu1] (1.16.0-1ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libwayland-cursor0 [1.16.0-1ubuntu1] (1.16.0-1ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libwayland-egl1 [1.16.0-1ubuntu1] (1.16.0-1ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libgtk-3-common [3.24.1-1ubuntu2] (3.24.4-0ubuntu1.1 Ubuntu:18.10/cosmic-updates [all]) []
Inst libgtk-3-0 [3.24.1-1ubuntu2] (3.24.4-0ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst gir1.2-gtk-3.0 [3.24.1-1ubuntu2] (3.24.4-0ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst ubuntu-release-upgrader-gtk [1:18.10.11] (1:18.10.11.9 Ubuntu:18.10/cosmic-updates [all]) []
Inst ubuntu-release-upgrader-core [1:18.10.11] (1:18.10.11.9 Ubuntu:18.10/cosmic-updates [all]) []
Inst python3-distupgrade [1:18.10.11] (1:18.10.11.9 Ubuntu:18.10/cosmic-updates [all]) []
Inst python3-update-manager [1:18.10.10] (1:18.10.10.2 Ubuntu:18.10/cosmic-updates [all]) [update-manager-core:amd64 ]
Inst update-manager-core [1:18.10.10] (1:18.10.10.2 Ubuntu:18.10/cosmic-updates [all]) [update-manager:amd64 ]
Inst update-manager [1:18.10.10] (1:18.10.10.2 Ubuntu:18.10/cosmic-updates [all])
Inst ubuntu-standard [1.425] (1.425.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst ufw [0.35-6] (0.36-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [all])
Inst nautilus [1:3.26.4-0ubuntu7] (1:3.26.4-0ubuntu7.2 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst nautilus-data [1:3.26.4-0ubuntu7] (1:3.26.4-0ubuntu7.2 Ubuntu:18.10/cosmic-updates [all]) []
Inst desktop-file-utils [0.23-3ubuntu2] (0.23-3ubuntu3 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libnautilus-extension1a [1:3.26.4-0ubuntu7] (1:3.26.4-0ubuntu7.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst libpackagekit-glib2-18 [1.1.10-1ubuntu7] (1.1.10-1ubuntu7.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst deja-dup [38.0-1] (38.0-1ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst evolution-data-server [3.30.1-1build1] (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libcamel-1.2-62 [3.30.1-1build1] (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libebook-1.2-19 [3.30.1-1build1] (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libedata-book-1.2-25 [3.30.1-1build1] (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libebook-contacts-1.2-2 [3.30.1-1build1] (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst evolution-data-server-common [3.30.1-1build1] (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [all]) []
Inst libedataserverui-1.2-2 [3.30.1-1build1] (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libedata-cal-1.2-29 [3.30.1-1build1] (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libecal-1.2-19 [3.30.1-1build1] (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libebackend-1.2-10 [3.30.1-1build1] (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libedataserver-1.2-23 [3.30.1-1build1] (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libldap-common [2.4.46+dfsg-5ubuntu1] (2.4.46+dfsg-5ubuntu1.2 Ubuntu:18.10/cosmic-updates [all])
Inst libldap-2.4-2 [2.4.46+dfsg-5ubuntu1] (2.4.46+dfsg-5ubuntu1.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst fonts-opensymbol [2:102.10+LibO6.1.2-0ubuntu1] (2:102.10+LibO6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Inst fwupd-signed [1.2+1.1.2-1] (1.2.0ubuntu0.1+1.1.2-1ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libfwupd2 [1.1.2-1] (1.1.2-1ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst fwupd [1.1.2-1] (1.1.2-1ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst gedit-common [3.30.1-1] (3.30.2-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Inst gedit [3.30.1-1] (3.30.2-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Inst mutter-common [3.30.1-1] (3.30.2-1~ubuntu18.10.4 Ubuntu:18.10/cosmic-updates [all])
Inst libgl1-mesa-dri [18.2.2-0ubuntu1] (18.2.8-0ubuntu0~18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst libglx-mesa0 [18.2.2-0ubuntu1] (18.2.8-0ubuntu0~18.10.2 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libglapi-mesa [18.2.2-0ubuntu1] (18.2.8-0ubuntu0~18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst libwayland-server0 [1.16.0-1ubuntu1] (1.16.0-1ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libegl-mesa0 [18.2.2-0ubuntu1] (18.2.8-0ubuntu0~18.10.2 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libgbm1 [18.2.2-0ubuntu1] (18.2.8-0ubuntu0~18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst gir1.2-mutter-3 [3.30.1-1] (3.30.2-1~ubuntu18.10.4 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libmutter-3-0 [3.30.1-1] (3.30.2-1~ubuntu18.10.4 Ubuntu:18.10/cosmic-updates [amd64])
Inst libnm0 [1.12.4-1ubuntu1.1] (1.12.4-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst gir1.2-nm-1.0 [1.12.4-1ubuntu1.1] (1.12.4-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst gir1.2-packagekitglib-1.0 [1.1.10-1ubuntu7] (1.1.10-1ubuntu7.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst gir1.2-snapd-1 [1.44-1] (1.47-0ubuntu0.18.10.0 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libsnapd-glib1 [1.44-1] (1.47-0ubuntu0.18.10.0 Ubuntu:18.10/cosmic-updates [amd64])
Inst libtotem0 [3.26.2-1ubuntu1] (3.26.2-1ubuntu3 Ubuntu:18.10/cosmic-updates [amd64])
Inst totem-common [3.26.2-1ubuntu1] (3.26.2-1ubuntu3 Ubuntu:18.10/cosmic-updates [all])
Inst grilo-plugins-0.3-base [0.3.8-2ubuntu1] (0.3.8-2ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst totem-plugins [3.26.2-1ubuntu1] (3.26.2-1ubuntu3 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst totem [3.26.2-1ubuntu1] (3.26.2-1ubuntu3 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst gir1.2-totem-1.0 [3.26.2-1ubuntu1] (3.26.2-1ubuntu3 Ubuntu:18.10/cosmic-updates [amd64])
Inst libupower-glib3 [0.99.8-2] (0.99.8-2ubuntu0.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst gir1.2-upowerglib-1.0 [0.99.8-2] (0.99.8-2ubuntu0.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst libgnomekbd-common [3.26.0-3] (3.26.0-3ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [all])
Inst libgnomekbd8 [3.26.0-3] (3.26.0-3ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst gkbd-capplet [3.26.0-3] (3.26.0-3ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst gnome-settings-daemon [3.30.1.2-1ubuntu2] (3.30.1.2-1ubuntu3.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst gnome-settings-daemon-schemas [3.30.1.2-1ubuntu2] (3.30.1.2-1ubuntu3.1 Ubuntu:18.10/cosmic-updates [all])
Inst libasound2 [1.1.6-1ubuntu1] (1.1.6-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libasound2-data [1.1.6-1ubuntu1] (1.1.6-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [all])
Inst libpulsedsp [1:12.2-0ubuntu4] (1:12.2-0ubuntu5 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst pulseaudio-utils [1:12.2-0ubuntu4] (1:12.2-0ubuntu5 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst pulseaudio-module-bluetooth [1:12.2-0ubuntu4] (1:12.2-0ubuntu5 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst pulseaudio [1:12.2-0ubuntu4] (1:12.2-0ubuntu5 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libpulse-mainloop-glib0 [1:12.2-0ubuntu4] (1:12.2-0ubuntu5 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libpulse0 [1:12.2-0ubuntu4] (1:12.2-0ubuntu5 Ubuntu:18.10/cosmic-updates [amd64])
Inst gnome-control-center-data [1:3.30.1-1ubuntu2] (1:3.30.2-1ubuntu0.18.10.2 Ubuntu:18.10/cosmic-updates [all])
Inst gnome-control-center [1:3.30.1-1ubuntu2] (1:3.30.2-1ubuntu0.18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst gnome-control-center-faces [1:3.30.1-1ubuntu2] (1:3.30.2-1ubuntu0.18.10.2 Ubuntu:18.10/cosmic-updates [all])
Inst gnome-initial-setup [3.30.0-1ubuntu3] (3.30.0-1ubuntu3.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst gnome-shell-extension-ubuntu-dock [63ubuntu1] (63ubuntu1.18.10.2 Ubuntu:18.10/cosmic-updates [all])
Inst gnome-software-plugin-snap [3.30.2-0ubuntu5] (3.30.2-0ubuntu11 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst gnome-software [3.30.2-0ubuntu5] (3.30.2-0ubuntu11 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst gnome-software-common [3.30.2-0ubuntu5] (3.30.2-0ubuntu11 Ubuntu:18.10/cosmic-updates [all])
Inst packagekit-tools [1.1.10-1ubuntu7] (1.1.10-1ubuntu7.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst gstreamer1.0-packagekit [1.1.10-1ubuntu7] (1.1.10-1ubuntu7.1 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst packagekit [1.1.10-1ubuntu7] (1.1.10-1ubuntu7.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst software-properties-common [0.96.27] (0.96.27.1 Ubuntu:18.10/cosmic-updates [all]) []
Inst software-properties-gtk [0.96.27] (0.96.27.1 Ubuntu:18.10/cosmic-updates [all]) []
Inst python3-software-properties [0.96.27] (0.96.27.1 Ubuntu:18.10/cosmic-updates [all])
Inst gstreamer1.0-gtk3 (1.14.4-1ubuntu1 Ubuntu:18.10/cosmic, Ubuntu:18.10/cosmic-updates, Ubuntu:18.10/cosmic-security [amd64])
Inst gtk-update-icon-cache [3.24.1-1ubuntu2] (3.24.4-0ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libboost-date-time1.67.0 [1.67.0-7] (1.67.0-7ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libboost-system1.67.0 [1.67.0-7] (1.67.0-7ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libboost-filesystem1.67.0 [1.67.0-7] (1.67.0-7ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libboost-iostreams1.67.0 [1.67.0-7] (1.67.0-7ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libboost-thread1.67.0 [1.67.0-7] (1.67.0-7ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libboost-locale1.67.0 [1.67.0-7] (1.67.0-7ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libegl1-mesa [18.2.2-0ubuntu1] (18.2.8-0ubuntu0~18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst libgjs0g [1.54.1-1] (1.54.3-1~ubuntu18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libgtk-3-bin [3.24.1-1ubuntu2] (3.24.4-0ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst libneon27-gnutls [0.30.2-2build1] (0.30.2-3~ubuntu18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst ure [6.1.2-0ubuntu1] (6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst uno-libs3 [6.1.2-0ubuntu1] (6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Inst libreoffice-calc [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libreoffice-ogltrans [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all]) []
Inst libreoffice-impress [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libreoffice-draw [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libreoffice-gnome [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libreoffice-gtk3 [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst python3-uno [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libreoffice-math [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libreoffice-style-tango [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all]) []
Inst libreoffice-style-elementary [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all]) []
Inst libreoffice-style-colibre [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all]) []
Inst libreoffice-style-breeze [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all]) []
Inst libreoffice-pdfimport [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all]) []
Inst libreoffice-common [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all]) []
Inst libreoffice-base-core [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64]) [libreoffice-writer:amd64 ]
Inst libreoffice-avmedia-backend-gstreamer [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64]) [libreoffice-writer:amd64 ]
Inst libreoffice-writer [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64]) []
Inst libreoffice-core [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Inst libreoffice-help-en-us [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Inst libreoffice-l10n-fr [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Inst libreoffice-help-fr [1:6.1.2-0ubuntu1] (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Inst libxatracker2 [18.2.2-0ubuntu1] (18.2.8-0ubuntu0~18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst network-manager [1.12.4-1ubuntu1.1] (1.12.4-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst network-manager-config-connectivity-ubuntu [1.12.4-1ubuntu1.1] (1.12.4-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [all])
Inst openvpn [2.4.6-1ubuntu2] (2.4.6-1ubuntu2.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst python3-lib2to3 [3.6.7-1~18.10] (3.6.8-1~18.10 Ubuntu:18.10/cosmic-updates [all])
Inst python3-distutils [3.6.7-1~18.10] (3.6.8-1~18.10 Ubuntu:18.10/cosmic-updates [all])
Inst python3-tk [3.6.7-1~18.10] (3.6.8-1~18.10 Ubuntu:18.10/cosmic-updates [amd64])
Inst shotwell-common [0.30.1-0ubuntu2] (0.30.1-0ubuntu3 Ubuntu:18.10/cosmic-updates [all]) [shotwell:amd64 ]
Inst shotwell [0.30.1-0ubuntu2] (0.30.1-0ubuntu3 Ubuntu:18.10/cosmic-updates [amd64])
Inst syslinux [3:6.04~git20171011.af7e95c3+dfsg1-4ubuntu1] (3:6.04~git20171011.af7e95c3+dfsg1-4ubuntu1.18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst syslinux-common [3:6.04~git20171011.af7e95c3+dfsg1-4ubuntu1] (3:6.04~git20171011.af7e95c3+dfsg1-4ubuntu1.18.10.2 Ubuntu:18.10/cosmic-updates [all])
Inst thermald [1.7.0-8] (1.7.0-8ubuntu1 Ubuntu:18.10/cosmic-updates [amd64])
Inst ubuntu-desktop [1.425] (1.425.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst ubuntu-software [3.30.2-0ubuntu5] (3.30.2-0ubuntu11 Ubuntu:18.10/cosmic-updates [all])
Inst unattended-upgrades [1.5ubuntu3] (1.5ubuntu3.18.10.4 Ubuntu:18.10/cosmic-updates [all])
Inst upower [0.99.8-2] (0.99.8-2ubuntu0.2 Ubuntu:18.10/cosmic-updates [amd64])
Inst xdg-desktop-portal [1.0.2-1ubuntu1] (1.0.3-0ubuntu1 Ubuntu:18.10/cosmic-updates [amd64])
Inst gjs [1.54.1-1] (1.54.3-1~ubuntu18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Inst mutter [3.30.1-1] (3.30.2-1~ubuntu18.10.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf libnss-systemd (239-7ubuntu10.14 Ubuntu:18.10/cosmic-updates [amd64])
Conf systemd-sysv (239-7ubuntu10.14 Ubuntu:18.10/cosmic-updates [amd64])
Conf libpam-systemd (239-7ubuntu10.14 Ubuntu:18.10/cosmic-updates [amd64])
Conf systemd (239-7ubuntu10.14 Ubuntu:18.10/cosmic-updates [amd64])
Conf udev (239-7ubuntu10.14 Ubuntu:18.10/cosmic-updates [amd64])
Conf kmod (25-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf libkmod2 (25-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf python3-debconf (1.5.69ubuntu1 Ubuntu:18.10/cosmic-updates [all])
Conf debconf-i18n (1.5.69ubuntu1 Ubuntu:18.10/cosmic-updates [all])
Conf libapt-inst2.0 (1.7.5 Ubuntu:18.10/cosmic-updates [amd64])
Conf snapd (2.39.2+18.10 Ubuntu:18.10/cosmic-updates [amd64])
Conf apt-utils (1.7.5 Ubuntu:18.10/cosmic-updates [amd64])
Conf initramfs-tools-core (0.131ubuntu15.2 Ubuntu:18.10/cosmic-updates [all])
Conf grub-pc (2.02+dfsg1-5ubuntu8.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf grub2-common (2.02+dfsg1-5ubuntu8.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf grub-pc-bin (2.02+dfsg1-5ubuntu8.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf grub-efi-amd64-signed (1.110.3+2.02+dfsg1-5ubuntu8.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf grub-efi-amd64-bin (2.02+dfsg1-5ubuntu8.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf grub-common (2.02+dfsg1-5ubuntu8.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf friendly-recovery (0.2.39ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [all])
Conf initramfs-tools (0.131ubuntu15.2 Ubuntu:18.10/cosmic-updates [all])
Conf e2fsprogs (1.44.4-2ubuntu0.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf initramfs-tools-bin (0.131ubuntu15.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf libdevmapper1.02.1 (2:1.02.145-4.1ubuntu3.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf console-setup-linux (1.178ubuntu9.2 Ubuntu:18.10/cosmic-updates [all])
Conf console-setup (1.178ubuntu9.2 Ubuntu:18.10/cosmic-updates [all])
Conf keyboard-configuration (1.178ubuntu9.2 Ubuntu:18.10/cosmic-updates [all])
Conf xkb-data (2.23.1-1ubuntu1.18.10.1 Ubuntu:18.10/cosmic-updates [all])
Conf libcupsmime1 (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf cups-core-drivers (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf cups-server-common (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [all])
Conf cups-ipp-utils (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf cups-common (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [all])
Conf libcupsppdc1 (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf libcupsimage2 (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf libcupscgi1 (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf cups-daemon (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf cups-client (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf libcups2 (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf cups (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf cups-bsd (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf cups-ppdc (2.2.8-5ubuntu1.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf libcom-err2 (1.44.4-2ubuntu0.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf libss2 (1.44.4-2ubuntu0.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf dmsetup (2:1.02.145-4.1ubuntu3.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libidn11 (1.33-2.2ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libssl1.1 (1.1.1-1ubuntu2.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf netplan.io (0.97-0ubuntu1~18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf openssl (1.1.1-1ubuntu2.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf ubuntu-minimal (1.425.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf command-not-found (18.10.0~pre2 Ubuntu:18.10/cosmic-updates [all])
Conf python3-commandnotfound (18.10.0~pre2 Ubuntu:18.10/cosmic-updates [all])
Conf command-not-found-data (18.10.0~pre2 Ubuntu:18.10/cosmic-updates [amd64])
Conf python-apt-common (1.7.1 Ubuntu:18.10/cosmic-updates [all])
Conf python3-apt (1.7.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf python3-gdbm (3.6.8-1~18.10 Ubuntu:18.10/cosmic-updates [amd64])
Conf libnuma1 (2.0.11-2.2ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf irqbalance (1.3.0-0.1ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf parted (3.2-21ubuntu2 Ubuntu:18.10/cosmic-updates [amd64])
Conf libparted-fs-resize0 (3.2-21ubuntu2 Ubuntu:18.10/cosmic-updates [amd64])
Conf libparted2 (3.2-21ubuntu2 Ubuntu:18.10/cosmic-updates [amd64])
Conf libplymouth4 (0.9.3-1ubuntu10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf plymouth-theme-ubuntu-text (0.9.3-1ubuntu10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libcairo2 (1.15.12-1ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libpango-1.0-0 (1.42.4-3ubuntu1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libpangoft2-1.0-0 (1.42.4-3ubuntu1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libpangocairo-1.0-0 (1.42.4-3ubuntu1 Ubuntu:18.10/cosmic-updates [amd64])
Conf plymouth-theme-ubuntu-logo (0.9.3-1ubuntu10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf plymouth-label (0.9.3-1ubuntu10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf plymouth (0.9.3-1ubuntu10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf psmisc (23.1-1ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf python3-distro-info (0.18ubuntu0.18.10.2 Ubuntu:18.10/cosmic-updates [all])
Conf libpangoxft-1.0-0 (1.42.4-3ubuntu1 Ubuntu:18.10/cosmic-updates [amd64])
Conf gir1.2-pango-1.0 (1.42.4-3ubuntu1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libgail-3-0 (3.24.4-0ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libcairo-gobject2 (1.15.12-1ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libwayland-client0 (1.16.0-1ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libwayland-cursor0 (1.16.0-1ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libwayland-egl1 (1.16.0-1ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libgtk-3-common (3.24.4-0ubuntu1.1 Ubuntu:18.10/cosmic-updates [all])
Conf libgtk-3-0 (3.24.4-0ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf gir1.2-gtk-3.0 (3.24.4-0ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf ubuntu-release-upgrader-gtk (1:18.10.11.9 Ubuntu:18.10/cosmic-updates [all])
Conf ubuntu-release-upgrader-core (1:18.10.11.9 Ubuntu:18.10/cosmic-updates [all])
Conf python3-distupgrade (1:18.10.11.9 Ubuntu:18.10/cosmic-updates [all])
Conf python3-update-manager (1:18.10.10.2 Ubuntu:18.10/cosmic-updates [all])
Conf update-manager-core (1:18.10.10.2 Ubuntu:18.10/cosmic-updates [all])
Conf update-manager (1:18.10.10.2 Ubuntu:18.10/cosmic-updates [all])
Conf ubuntu-standard (1.425.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf ufw (0.36-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [all])
Conf nautilus (1:3.26.4-0ubuntu7.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf nautilus-data (1:3.26.4-0ubuntu7.2 Ubuntu:18.10/cosmic-updates [all])
Conf desktop-file-utils (0.23-3ubuntu3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libnautilus-extension1a (1:3.26.4-0ubuntu7.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf libpackagekit-glib2-18 (1.1.10-1ubuntu7.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf deja-dup (38.0-1ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf evolution-data-server (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libcamel-1.2-62 (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libebook-1.2-19 (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libedata-book-1.2-25 (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libebook-contacts-1.2-2 (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf evolution-data-server-common (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [all])
Conf libedataserverui-1.2-2 (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libedata-cal-1.2-29 (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libecal-1.2-19 (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libebackend-1.2-10 (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libedataserver-1.2-23 (3.30.5-0ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libldap-common (2.4.46+dfsg-5ubuntu1.2 Ubuntu:18.10/cosmic-updates [all])
Conf libldap-2.4-2 (2.4.46+dfsg-5ubuntu1.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf fonts-opensymbol (2:102.10+LibO6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Conf fwupd-signed (1.2.0ubuntu0.1+1.1.2-1ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libfwupd2 (1.1.2-1ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf fwupd (1.1.2-1ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf gedit-common (3.30.2-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Conf gedit (3.30.2-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf mutter-common (3.30.2-1~ubuntu18.10.4 Ubuntu:18.10/cosmic-updates [all])
Conf libgl1-mesa-dri (18.2.8-0ubuntu0~18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf libglx-mesa0 (18.2.8-0ubuntu0~18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf libglapi-mesa (18.2.8-0ubuntu0~18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf libwayland-server0 (1.16.0-1ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libegl-mesa0 (18.2.8-0ubuntu0~18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf libgbm1 (18.2.8-0ubuntu0~18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf gir1.2-mutter-3 (3.30.2-1~ubuntu18.10.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf libmutter-3-0 (3.30.2-1~ubuntu18.10.4 Ubuntu:18.10/cosmic-updates [amd64])
Conf libnm0 (1.12.4-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf gir1.2-nm-1.0 (1.12.4-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf gir1.2-packagekitglib-1.0 (1.1.10-1ubuntu7.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf gir1.2-snapd-1 (1.47-0ubuntu0.18.10.0 Ubuntu:18.10/cosmic-updates [amd64])
Conf libsnapd-glib1 (1.47-0ubuntu0.18.10.0 Ubuntu:18.10/cosmic-updates [amd64])
Conf libtotem0 (3.26.2-1ubuntu3 Ubuntu:18.10/cosmic-updates [amd64])
Conf totem-common (3.26.2-1ubuntu3 Ubuntu:18.10/cosmic-updates [all])
Conf grilo-plugins-0.3-base (0.3.8-2ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf totem-plugins (3.26.2-1ubuntu3 Ubuntu:18.10/cosmic-updates [amd64])
Conf totem (3.26.2-1ubuntu3 Ubuntu:18.10/cosmic-updates [amd64])
Conf gir1.2-totem-1.0 (3.26.2-1ubuntu3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libupower-glib3 (0.99.8-2ubuntu0.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf gir1.2-upowerglib-1.0 (0.99.8-2ubuntu0.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf libgnomekbd-common (3.26.0-3ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [all])
Conf libgnomekbd8 (3.26.0-3ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf gkbd-capplet (3.26.0-3ubuntu0.18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf gnome-settings-daemon (3.30.1.2-1ubuntu3.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf gnome-settings-daemon-schemas (3.30.1.2-1ubuntu3.1 Ubuntu:18.10/cosmic-updates [all])
Conf libasound2 (1.1.6-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf libasound2-data (1.1.6-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [all])
Conf libpulsedsp (1:12.2-0ubuntu5 Ubuntu:18.10/cosmic-updates [amd64])
Conf pulseaudio-utils (1:12.2-0ubuntu5 Ubuntu:18.10/cosmic-updates [amd64])
Conf pulseaudio-module-bluetooth (1:12.2-0ubuntu5 Ubuntu:18.10/cosmic-updates [amd64])
Conf pulseaudio (1:12.2-0ubuntu5 Ubuntu:18.10/cosmic-updates [amd64])
Conf libpulse-mainloop-glib0 (1:12.2-0ubuntu5 Ubuntu:18.10/cosmic-updates [amd64])
Conf libpulse0 (1:12.2-0ubuntu5 Ubuntu:18.10/cosmic-updates [amd64])
Conf gnome-control-center-data (1:3.30.2-1ubuntu0.18.10.2 Ubuntu:18.10/cosmic-updates [all])
Conf gnome-control-center (1:3.30.2-1ubuntu0.18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf gnome-control-center-faces (1:3.30.2-1ubuntu0.18.10.2 Ubuntu:18.10/cosmic-updates [all])
Conf gnome-initial-setup (3.30.0-1ubuntu3.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf gnome-shell-extension-ubuntu-dock (63ubuntu1.18.10.2 Ubuntu:18.10/cosmic-updates [all])
Conf gnome-software-plugin-snap (3.30.2-0ubuntu11 Ubuntu:18.10/cosmic-updates [amd64])
Conf gnome-software (3.30.2-0ubuntu11 Ubuntu:18.10/cosmic-updates [amd64])
Conf gnome-software-common (3.30.2-0ubuntu11 Ubuntu:18.10/cosmic-updates [all])
Conf packagekit-tools (1.1.10-1ubuntu7.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf gstreamer1.0-packagekit (1.1.10-1ubuntu7.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf packagekit (1.1.10-1ubuntu7.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf software-properties-common (0.96.27.1 Ubuntu:18.10/cosmic-updates [all])
Conf software-properties-gtk (0.96.27.1 Ubuntu:18.10/cosmic-updates [all])
Conf python3-software-properties (0.96.27.1 Ubuntu:18.10/cosmic-updates [all])
Conf gstreamer1.0-gtk3 (1.14.4-1ubuntu1 Ubuntu:18.10/cosmic, Ubuntu:18.10/cosmic-updates, Ubuntu:18.10/cosmic-security [amd64])
Conf gtk-update-icon-cache (3.24.4-0ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libboost-date-time1.67.0 (1.67.0-7ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libboost-system1.67.0 (1.67.0-7ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libboost-filesystem1.67.0 (1.67.0-7ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libboost-iostreams1.67.0 (1.67.0-7ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libboost-thread1.67.0 (1.67.0-7ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libboost-locale1.67.0 (1.67.0-7ubuntu0.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libegl1-mesa (18.2.8-0ubuntu0~18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf libgjs0g (1.54.3-1~ubuntu18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libgtk-3-bin (3.24.4-0ubuntu1.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf libneon27-gnutls (0.30.2-3~ubuntu18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf ure (6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf uno-libs3 (6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libreoffice-calc (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libreoffice-ogltrans (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Conf libreoffice-impress (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libreoffice-draw (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libreoffice-gnome (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libreoffice-gtk3 (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf python3-uno (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libreoffice-math (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libreoffice-style-tango (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Conf libreoffice-style-elementary (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Conf libreoffice-style-colibre (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Conf libreoffice-style-breeze (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Conf libreoffice-pdfimport (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Conf libreoffice-common (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Conf libreoffice-base-core (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libreoffice-avmedia-backend-gstreamer (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libreoffice-writer (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libreoffice-core (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [amd64])
Conf libreoffice-help-en-us (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Conf libreoffice-l10n-fr (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Conf libreoffice-help-fr (1:6.1.6-0ubuntu0.18.10.3 Ubuntu:18.10/cosmic-updates [all])
Conf libxatracker2 (18.2.8-0ubuntu0~18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf network-manager (1.12.4-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf network-manager-config-connectivity-ubuntu (1.12.4-1ubuntu1.2 Ubuntu:18.10/cosmic-updates [all])
Conf openvpn (2.4.6-1ubuntu2.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf python3-lib2to3 (3.6.8-1~18.10 Ubuntu:18.10/cosmic-updates [all])
Conf python3-distutils (3.6.8-1~18.10 Ubuntu:18.10/cosmic-updates [all])
Conf python3-tk (3.6.8-1~18.10 Ubuntu:18.10/cosmic-updates [amd64])
Conf shotwell-common (0.30.1-0ubuntu3 Ubuntu:18.10/cosmic-updates [all])
Conf shotwell (0.30.1-0ubuntu3 Ubuntu:18.10/cosmic-updates [amd64])
Conf syslinux (3:6.04~git20171011.af7e95c3+dfsg1-4ubuntu1.18.10.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf syslinux-common (3:6.04~git20171011.af7e95c3+dfsg1-4ubuntu1.18.10.2 Ubuntu:18.10/cosmic-updates [all])
Conf thermald (1.7.0-8ubuntu1 Ubuntu:18.10/cosmic-updates [amd64])
Conf ubuntu-desktop (1.425.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf ubuntu-software (3.30.2-0ubuntu11 Ubuntu:18.10/cosmic-updates [all])
Conf unattended-upgrades (1.5ubuntu3.18.10.4 Ubuntu:18.10/cosmic-updates [all])
Conf upower (0.99.8-2ubuntu0.2 Ubuntu:18.10/cosmic-updates [amd64])
Conf xdg-desktop-portal (1.0.3-0ubuntu1 Ubuntu:18.10/cosmic-updates [amd64])
Conf gjs (1.54.3-1~ubuntu18.10.1 Ubuntu:18.10/cosmic-updates [amd64])
Conf mutter (3.30.2-1~ubuntu18.10.4 Ubuntu:18.10/cosmic-updates [amd64])

Hors ligne

#60 Le 04/12/2019, à 10:05

xubu1957

Re : Problème pour obtenir numpy et scipy

Teste :

pip3 install pillow

repris dans > unix.stackexchange.com/questions/512904/woes-installing-pil


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#61 Le 04/12/2019, à 10:09

Thais26

Re : Problème pour obtenir numpy et scipy

lucie@lucie-Latitude-5480:~$ pip3 install pillow
Requirement already satisfied: pillow in /usr/lib/python3/dist-packages (5.2.0)

Hors ligne

#62 Le 04/12/2019, à 10:13

xubu1957

Re : Problème pour obtenir numpy et scipy

Je laisse la main aux aidants utilisant python.


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#63 Le 04/12/2019, à 10:16

Thais26

Re : Problème pour obtenir numpy et scipy

D'accord, merci beaucoup pour votre aide.

Hors ligne

#64 Le 04/12/2019, à 10:27

FrancisFDZ

Re : Problème pour obtenir numpy et scipy

Bonjour,

Thais26 a écrit :

Bonjour!

Je souhaite avoir les modules numpy et scipy sur Python mais je n'y parviens pas.

Voici ce que j'ai fait :

- J'ai téléchargé pip avec la commande : sudo apt-get install python3-pip

- Puis j'ai voulu télécharger numpy avec la commande : sudo pip install numpy
Mais ça m'affiche :
The directory '/home/lucie/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/home/lucie/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Requirement already satisfied: numpy in ./.local/lib/python2.7/site-packages

- Pourtant, si j'effectue la commande : sudo apt-get install python3-numpy, le terminal me dit que je l'ai déjà et que c'est bien la version la plus récente.

Dans tous les cas, lorsque j'écris "import numpy" dans Python, il apparaît souligné en rouge et je ne peux donc pas l'utiliser... Et c'est la même chose pour scipy.

Quelqu'un aurait-il une solution et m'expliquer ce que j'ai mal réalisé ?

Merci d'avance smile

Il semble bien y avoir un problème de permissions (fichiers dans /home:$USER n’appartenant pas à $USER (en l’occurrence $USER=lucie)
Je suis surpris que ce détail n'ait pas été relevé : serait-ce normal pour des fichiers cache ?


-- On peut avoir des raisons de se plaindre et n'avoir pas raison de se plaindre --
[Victor Hugo]

Hors ligne

#65 Le 04/12/2019, à 10:33

melixgaro

Re : Problème pour obtenir numpy et scipy

Bonjour,

il y a plusieurs points :
1/ faire les màj en attente
2/ je serai d'avis de supprimer les paquets python de local et de repartir sur du propre

Donne ceci pour vérifier l'histoire des droits (merci FrancisFDZ)

find ~/ -xdev \( ! -user "$USER" -o ! -group "$USER" \) | wc -l

Linux depuis ~2007. Xubuntu seulement.

Hors ligne

#66 Le 04/12/2019, à 12:54

Thais26

Re : Problème pour obtenir numpy et scipy

Voilà :

lucie@lucie-Latitude-5480:~$ find ~/ -xdev \( ! -user "$USER" -o ! -group "$USER" \) | wc -l
0
lucie@lucie-Latitude-5480:~$ 

Hors ligne

#67 Le 04/12/2019, à 13:47

melixgaro

Re : Problème pour obtenir numpy et scipy

Ok, donc pas de problème de droits dans ton dossier utilisateur.

Je propose de faire les màj.

sudo apt update

puis

sudo apt upgrade

ça durera un petit moment (ne donne que la fin du retour pour la deuxième commande, genre les vingt dernières lignes)


Linux depuis ~2007. Xubuntu seulement.

Hors ligne

#68 Le 04/12/2019, à 18:33

Thais26

Re : Problème pour obtenir numpy et scipy

Alors, pour la première commande, ça donne :

lucie@lucie-Latitude-5480:~$ sudo apt update
[sudo] Mot de passe de lucie : 
Atteint:1 http://fr.archive.ubuntu.com/ubuntu cosmic InRelease
Atteint:2 http://security.ubuntu.com/ubuntu cosmic-security InRelease          
Atteint:3 http://fr.archive.ubuntu.com/ubuntu cosmic-updates InRelease         
Lecture des listes de paquets... Fait                         
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
230 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.

Et pour la deuxième :

Installation de la nouvelle version du fichier de configuration /etc/update-manager/release-upgrades ...
Paramétrage de libreoffice-style-tango (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de ubuntu-release-upgrader-gtk (1:18.10.11.9) ...
Paramétrage de update-manager-core (1:18.10.10.2) ...
Paramétrage de libreoffice-common (1:6.1.6-0ubuntu0.18.10.3) ...
Installation de la nouvelle version du fichier de configuration /etc/libreoffice/sofficerc ...
Paramétrage de libreoffice-core (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de libreoffice-l10n-fr (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de libreoffice-style-elementary (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de python3-uno (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de update-manager (1:18.10.10.2) ...
Paramétrage de libreoffice-gtk3 (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de libreoffice-style-breeze (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de libreoffice-gnome (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de libreoffice-pdfimport (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de libreoffice-draw (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de libreoffice-avmedia-backend-gstreamer (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de libreoffice-impress (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de libreoffice-math (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de libreoffice-base-core (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de libreoffice-calc (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de ubuntu-desktop (1.425.1) ...
Paramétrage de libreoffice-ogltrans (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de libreoffice-writer (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de libreoffice-help-fr (1:6.1.6-0ubuntu0.18.10.3) ...
Paramétrage de libreoffice-help-en-us (1:6.1.6-0ubuntu0.18.10.3) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.28-0ubuntu1) ...
Traitement des actions différées (« triggers ») pour initramfs-tools (0.131ubuntu15.2) ...
update-initramfs: Generating /boot/initrd.img-4.18.0-25-generic
lucie@lucie-Latitude-5480:~$

Hors ligne

#69 Le 04/12/2019, à 18:48

melixgaro

Re : Problème pour obtenir numpy et scipy

Voilà tu as un système le plus à jour possible (sachant que tu restes sur une version périmée).

Que donnent ?

ls -lha ~/.local
ls -lha ~/.local/bin
ls -lha ~/.local/lib
ls -lha ~/.local/lib/python2*/site-packages
ls -lha ~/.local/lib/python3*/site-packages

Stp, sépare les retours dans des blocs de code différent.
C'est pour contrôler les fichiers déposés par pip/pip3 et mon idée est de les supprimer lors de l'étape suivante. Sous ubuntu, on installe les modules python avec apt à chaque fois que c'est possible (et on évite de le faire avec pip).


Linux depuis ~2007. Xubuntu seulement.

Hors ligne

#70 Le 04/12/2019, à 19:09

Thais26

Re : Problème pour obtenir numpy et scipy

lucie@lucie-Latitude-5480:~$ ls -lha ~/.local
total 28K
drwx------  7 lucie lucie 4,0K déc.   2 10:52 .
drwxr-xr-x 25 lucie lucie 4,0K déc.   4 18:24 ..
drwxr-xr-x  2 lucie lucie 4,0K déc.   2 14:35 bin
drwxr-xr-x  3 lucie lucie 4,0K déc.   2 10:52 etc
drwx------  4 lucie lucie 4,0K déc.   2 10:42 lib
drwxr-xr-x  3 lucie lucie 4,0K déc.   2 10:52 man
drwx------ 28 lucie lucie 4,0K déc.   4 12:51 share
lucie@lucie-Latitude-5480:~$
lucie@lucie-Latitude-5480:~$ ls -lha ~/.local/bin
total 148K
drwxr-xr-x 2 lucie lucie 4,0K déc.   2 14:35 .
drwx------ 7 lucie lucie 4,0K déc.   2 10:52 ..
-rwxr-xr-x 1 lucie lucie  233 déc.   2 11:39 easy_install
-rwxr-xr-x 1 lucie lucie  233 déc.   2 11:39 easy_install-2.7
-rwxr-xr-x 1 lucie lucie  219 déc.   2 11:38 f2py
-rwxr-xr-x 1 lucie lucie  219 déc.   2 11:38 f2py2
-rwxr-xr-x 1 lucie lucie  219 déc.   2 11:38 f2py2.7
-rwxr-xr-x 1 lucie lucie  220 avril 27  2019 f2py3
-rwxr-xr-x 1 lucie lucie  220 avril 27  2019 f2py3.6
-rwxr-xr-x 1 lucie lucie  234 déc.   2 11:39 iptest
-rwxr-xr-x 1 lucie lucie  234 déc.   2 11:39 iptest2
-rwxr-xr-x 1 lucie lucie  227 déc.   2 11:39 ipython
-rwxr-xr-x 1 lucie lucie  227 déc.   2 11:39 ipython2
-rwxr-xr-x 1 lucie lucie  208 déc.   2 11:39 isympy
-rwxr-xr-x 1 lucie lucie  216 déc.   2 11:39 jsonschema
-rwxr-xr-x 1 lucie lucie  222 déc.   2 11:39 jupyter
-rwxr-xr-x 1 lucie lucie  236 déc.   2 11:39 jupyter-bundlerextension
-rwxr-xr-x 1 lucie lucie  221 déc.   2 11:39 jupyter-console
-rwxr-xr-x 1 lucie lucie  226 déc.   2 11:39 jupyter-kernel
-rwxr-xr-x 1 lucie lucie  264 déc.   2 11:39 jupyter-kernelspec
-rwxr-xr-x 1 lucie lucie  222 déc.   2 11:39 jupyter-migrate
-rwxr-xr-x 1 lucie lucie  224 déc.   2 11:39 jupyter-nbconvert
-rwxr-xr-x 1 lucie lucie  223 déc.   2 11:39 jupyter-nbextension
-rwxr-xr-x 1 lucie lucie  222 déc.   2 11:39 jupyter-notebook
-rwxr-xr-x 1 lucie lucie  224 déc.   2 11:39 jupyter-qtconsole
-rwxr-xr-x 1 lucie lucie  243 déc.   2 11:39 jupyter-run
-rwxr-xr-x 1 lucie lucie  227 déc.   2 11:39 jupyter-serverextension
-rwxr-xr-x 1 lucie lucie  227 déc.   2 11:39 jupyter-troubleshoot
-rwxr-xr-x 1 lucie lucie  255 déc.   2 11:39 jupyter-trust
-rwxr-xr-x 1 lucie lucie  214 déc.   2 11:39 nosetests
-rwxr-xr-x 1 lucie lucie  214 déc.   2 11:39 nosetests-2.7
-rwxr-xr-x 1 lucie lucie  221 déc.   2 14:35 pip
-rwxr-xr-x 1 lucie lucie  220 déc.   2 14:32 pip2
-rwxr-xr-x 1 lucie lucie  220 déc.   2 14:32 pip2.7
-rwxr-xr-x 1 lucie lucie  221 déc.   2 14:35 pip3
-rwxr-xr-x 1 lucie lucie  221 déc.   2 14:35 pip3.6
-rwxr-xr-x 1 lucie lucie  218 déc.   2 11:39 pygmentize
lucie@lucie-Latitude-5480:~$
lucie@lucie-Latitude-5480:~$ ls -lha ~/.local/lib
total 16K
drwx------ 4 lucie lucie 4,0K déc.   2 10:42 .
drwx------ 7 lucie lucie 4,0K déc.   2 10:52 ..
drwx------ 3 lucie lucie 4,0K déc.   2 10:42 python2.7
drwx------ 3 lucie lucie 4,0K avril 27  2019 python3.6
lucie@lucie-Latitude-5480:~$
lucie@lucie-Latitude-5480:~$ ls -lha ~/.local/lib/python2*/site-packages
total 2,4M
drwx------ 125 lucie lucie  12K déc.   2 14:32 .
drwx------   3 lucie lucie 4,0K déc.   2 10:42 ..
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 10:52 attr
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 attrs-19.3.0.dist-info
drwxr-xr-x   4 lucie lucie 4,0K déc.   2 10:52 backports
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 backports_abc-0.5.dist-info
-rw-r--r--   1 lucie lucie 5,4K déc.   2 11:38 backports_abc.py
-rw-r--r--   1 lucie lucie 6,9K déc.   2 11:39 backports_abc.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 backports.functools_lru_cache-1.6.1.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 backports.shutil_get_terminal_size-1.0.0.dist-info
drwxr-xr-x   3 lucie lucie 4,0K déc.   2 10:52 bleach
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 bleach-3.1.0.dist-info
drwxr-xr-x   3 lucie lucie 4,0K déc.   2 10:52 concurrent
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 configparser-4.0.2.dist-info
-rw-r--r--   1 lucie lucie 1,6K déc.   2 11:38 configparser.py
-rw-r--r--   1 lucie lucie 1,9K déc.   2 11:39 configparser.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 contextlib2-0.6.0.post1.dist-info
-rw-r--r--   1 lucie lucie  17K déc.   2 11:38 contextlib2.py
-rw-r--r--   1 lucie lucie  18K déc.   2 11:39 contextlib2.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 cycler-0.10.0.dist-info
-rw-r--r--   1 lucie lucie  16K déc.   2 11:38 cycler.py
-rw-r--r--   1 lucie lucie  18K déc.   2 11:39 cycler.pyc
drwxr-xr-x   5 lucie lucie 4,0K déc.   2 10:52 dateutil
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 decorator-4.4.1.dist-info
-rw-r--r--   1 lucie lucie  17K déc.   2 11:38 decorator.py
-rw-r--r--   1 lucie lucie  15K déc.   2 11:39 decorator.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 10:52 defusedxml
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 defusedxml-0.6.0.dist-info
-rw-r--r--   1 lucie lucie  126 déc.   2 11:38 easy_install.py
-rw-r--r--   1 lucie lucie  315 déc.   2 11:39 easy_install.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 entrypoints-0.3.dist-info
-rw-r--r--   1 lucie lucie 8,1K déc.   2 11:38 entrypoints.py
-rw-r--r--   1 lucie lucie 8,7K déc.   2 11:39 entrypoints.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 10:52 enum
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 enum34-1.1.6.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 10:52 functools32
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 functools32-3.2.3.post2.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 futures-3.3.0.dist-info
drwxr-xr-x   4 lucie lucie 4,0K déc.   2 10:52 importlib_metadata
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 importlib_metadata-1.1.0.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 ipaddress-1.0.23.dist-info
-rw-r--r--   1 lucie lucie  79K déc.   2 11:38 ipaddress.py
-rw-r--r--   1 lucie lucie  74K déc.   2 11:39 ipaddress.pyc
drwxr-xr-x   8 lucie lucie 4,0K déc.   2 10:52 ipykernel
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 ipykernel-4.10.1.dist-info
-rw-r--r--   1 lucie lucie  451 déc.   2 11:38 ipykernel_launcher.py
-rw-r--r--   1 lucie lucie  552 déc.   2 11:39 ipykernel_launcher.pyc
drwxr-xr-x  11 lucie lucie 4,0K déc.   2 10:52 IPython
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 ipython-5.8.0.dist-info
drwxr-xr-x   4 lucie lucie 4,0K déc.   2 10:52 ipython_genutils
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 ipython_genutils-0.2.0.dist-info
drwxr-xr-x   4 lucie lucie 4,0K déc.   2 10:52 ipywidgets
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 ipywidgets-7.5.1.dist-info
-rw-r--r--   1 lucie lucie  11K déc.   2 11:38 isympy.py
-rw-r--r--   1 lucie lucie 9,9K déc.   2 11:39 isympy.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 10:52 jinja2
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 Jinja2-2.10.3.dist-info
drwxr-xr-x   5 lucie lucie 4,0K déc.   2 10:52 jsonschema
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 jsonschema-3.2.0.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 jupyter-1.0.0.dist-info
drwxr-xr-x   5 lucie lucie 4,0K déc.   2 10:52 jupyter_client
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 jupyter_client-5.3.4.dist-info
drwxr-xr-x   3 lucie lucie 4,0K déc.   2 10:52 jupyter_console
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 jupyter_console-5.2.0.dist-info
drwxr-xr-x   4 lucie lucie 4,0K déc.   2 10:52 jupyter_core
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 jupyter_core-4.6.1.dist-info
-rw-r--r--   1 lucie lucie  177 déc.   2 11:38 jupyter.py
-rw-r--r--   1 lucie lucie  369 déc.   2 11:39 jupyter.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 kiwisolver-1.1.0.dist-info
-rwxr-xr-x   1 lucie lucie 255K déc.   2 11:38 kiwisolver.so
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 10:52 markupsafe
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 MarkupSafe-1.1.1.dist-info
drwxr-xr-x  14 lucie lucie 4,0K déc.   2 10:52 matplotlib
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 matplotlib-2.2.4.dist-info
-rw-r--r--   1 lucie lucie 1,2K déc.   2 11:38 matplotlib-2.2.4-py2.7-nspkg.pth
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 mistune-0.8.4.dist-info
-rw-r--r--   1 lucie lucie  36K déc.   2 11:38 mistune.py
-rw-r--r--   1 lucie lucie  41K déc.   2 11:39 mistune.pyc
drwxr-xr-x   3 lucie lucie 4,0K déc.   2 10:52 more_itertools
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 more_itertools-5.0.0.dist-info
drwxr-xr-x   7 lucie lucie 4,0K déc.   2 10:52 mpl_toolkits
drwxr-xr-x   7 lucie lucie 4,0K déc.   2 10:52 mpmath
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 mpmath-1.1.0.dist-info
drwxr-xr-x  11 lucie lucie 4,0K déc.   2 10:52 nbconvert
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 nbconvert-5.6.1.dist-info
drwxr-xr-x   7 lucie lucie 4,0K déc.   2 10:52 nbformat
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 nbformat-4.4.0.dist-info
drwxr-xr-x   6 lucie lucie 4,0K déc.   2 10:52 nose
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 nose-1.3.7.dist-info
drwxr-xr-x  18 lucie lucie 4,0K déc.   2 10:52 notebook
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 notebook-5.7.8.dist-info
drwxr-xr-x  17 lucie lucie 4,0K déc.   2 10:42 numpy
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:38 numpy-1.16.5.dist-info
drwxr-xr-x  13 lucie lucie 4,0K déc.   2 10:52 pandas
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 pandas-0.24.2.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 pandocfilters-1.4.2.dist-info
-rw-r--r--   1 lucie lucie 8,1K déc.   2 11:38 pandocfilters.py
-rw-r--r--   1 lucie lucie 9,2K déc.   2 11:39 pandocfilters.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 10:52 pathlib2
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 pathlib2-2.3.5.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 10:52 pexpect
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 pexpect-4.7.0.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 pickleshare-0.7.5.dist-info
-rw-r--r--   1 lucie lucie 9,8K déc.   2 11:38 pickleshare.py
-rw-r--r--   1 lucie lucie  12K déc.   2 11:39 pickleshare.pyc
drwxr-xr-x   4 lucie lucie 4,0K déc.   2 14:32 pip
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 14:32 pip-19.3.1.dist-info
drwxr-xr-x   4 lucie lucie 4,0K déc.   2 10:52 pkg_resources
-rwxr-xr-x   1 lucie lucie  79K déc.   2 11:38 _posixsubprocess32.so
drwxr-xr-x   5 lucie lucie 4,0K déc.   2 10:52 prometheus_client
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 prometheus_client-0.7.1.dist-info
drwxr-xr-x  10 lucie lucie 4,0K déc.   2 10:52 prompt_toolkit
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 prompt_toolkit-1.0.18.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 10:52 ptyprocess
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 ptyprocess-0.6.0.dist-info
-rwxr-xr-x   1 lucie lucie 116K déc.   2 11:38 pvectorc.so
drwxr-xr-x   6 lucie lucie 4,0K déc.   2 10:52 pygments
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 Pygments-2.5.2.dist-info
-rw-r--r--   1 lucie lucie   90 déc.   2 11:38 pylab.py
-rw-r--r--   1 lucie lucie  240 déc.   2 11:39 pylab.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 pyparsing-2.4.5.dist-info
-rw-r--r--   1 lucie lucie 258K déc.   2 11:38 pyparsing.py
-rw-r--r--   1 lucie lucie 257K déc.   2 11:39 pyparsing.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 10:52 pyrsistent
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 pyrsistent-0.15.6.dist-info
-rw-r--r--   1 lucie lucie   23 déc.   2 11:38 _pyrsistent_version.py
-rw-r--r--   1 lucie lucie  175 déc.   2 11:39 _pyrsistent_version.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 python_dateutil-2.8.1.dist-info
drwxr-xr-x   3 lucie lucie 4,0K déc.   2 10:52 pytz
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 pytz-2019.3.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 pyzmq-18.1.1.dist-info
drwxr-xr-x   4 lucie lucie 4,0K déc.   2 10:52 qtconsole
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 qtconsole-4.6.0.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 scandir-1.10.0.dist-info
-rw-r--r--   1 lucie lucie  25K déc.   2 11:38 scandir.py
-rw-r--r--   1 lucie lucie  19K déc.   2 11:39 scandir.pyc
-rwxr-xr-x   1 lucie lucie  77K déc.   2 11:38 _scandir.so
drwxr-xr-x  21 lucie lucie 4,0K déc.   2 10:42 scipy
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 scipy-1.2.2.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 10:52 send2trash
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 Send2Trash-1.5.0.dist-info
drwxr-xr-x   5 lucie lucie 4,0K déc.   2 10:52 setuptools
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 setuptools-42.0.2.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 10:52 shutil_backports
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 simplegeneric-0.8.1.dist-info
-rw-r--r--   1 lucie lucie 2,7K déc.   2 11:38 simplegeneric.py
-rw-r--r--   1 lucie lucie 3,7K déc.   2 11:39 simplegeneric.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 singledispatch-3.4.0.3.dist-info
-rw-r--r--   1 lucie lucie 5,2K déc.   2 11:38 singledispatch_helpers.py
-rw-r--r--   1 lucie lucie 8,4K déc.   2 11:39 singledispatch_helpers.pyc
-rw-r--r--   1 lucie lucie 8,1K déc.   2 11:38 singledispatch.py
-rw-r--r--   1 lucie lucie 7,9K déc.   2 11:39 singledispatch.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 six-1.13.0.dist-info
-rw-r--r--   1 lucie lucie  33K déc.   2 11:38 six.py
-rw-r--r--   1 lucie lucie  32K déc.   2 11:39 six.pyc
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 subprocess32-3.5.4.dist-info
-rw-r--r--   1 lucie lucie  70K déc.   2 11:38 subprocess32.py
-rw-r--r--   1 lucie lucie  44K déc.   2 11:39 subprocess32.pyc
drwxr-xr-x  42 lucie lucie 4,0K déc.   2 10:52 sympy
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 sympy-1.4.dist-info
drwxr-xr-x   4 lucie lucie 4,0K déc.   2 10:52 terminado
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 terminado-0.8.3.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 10:52 testpath
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 testpath-0.4.4.dist-info
drwxr-xr-x   4 lucie lucie 4,0K déc.   2 10:52 tornado
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 tornado-5.1.1.dist-info
drwxr-xr-x   5 lucie lucie 4,0K déc.   2 10:52 traitlets
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 traitlets-4.3.3.dist-info
drwxr-xr-x   3 lucie lucie 4,0K déc.   2 10:52 wcwidth
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 wcwidth-0.1.7.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 10:52 webencodings
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 webencodings-0.5.1.dist-info
drwxr-xr-x   3 lucie lucie 4,0K déc.   2 10:52 widgetsnbextension
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 widgetsnbextension-3.5.1.dist-info
drwxr-xr-x   2 lucie lucie 4,0K déc.   2 11:39 zipp-0.6.0.dist-info
-rw-r--r--   1 lucie lucie 4,9K déc.   2 11:38 zipp.py
-rw-r--r--   1 lucie lucie 7,3K déc.   2 11:39 zipp.pyc
drwxr-xr-x  13 lucie lucie 4,0K déc.   2 10:52 zmq
lucie@lucie-Latitude-5480:~$
lucie@lucie-Latitude-5480:~$ ls -lha ~/.local/lib/python3*/site-packages
total 24K
drwx------  6 lucie lucie 4,0K déc.   2 14:35 .
drwx------  3 lucie lucie 4,0K avril 27  2019 ..
drwxr-xr-x 18 lucie lucie 4,0K avril 27  2019 numpy
drwxr-xr-x  2 lucie lucie 4,0K avril 27  2019 numpy-1.16.3.dist-info
drwxr-xr-x  5 lucie lucie 4,0K déc.   2 14:35 pip
drwxr-xr-x  2 lucie lucie 4,0K déc.   2 14:35 pip-19.3.1.dist-info
lucie@lucie-Latitude-5480:~$

Hors ligne

#71 Hier à 21:32

Thais26

Re : Problème pour obtenir numpy et scipy

Bonsoir!
Excusez-moi de vous déranger mais j'aimerais savoir si la procédure que vous m'aviez fait faire était terminée ? Car je voudrais télécharger un module Python mais il me semblait que nous n'avions pas fini.

Hors ligne

#72 Hier à 21:56

melixgaro

Re : Problème pour obtenir numpy et scipy

Bonsoir,

Quel module souhaites-tu installer ?
Je serais d'avis de supprimer les modules installés via pip/pip3. Dans un premier temps, on peut les rendre “indisponible” de cette manière

mv -iv ~/.local/bin ~/.local/bin.PythonOld
mv -iv ~/.local/lib ~/.local/lib.PythonOld

Pour être sûr que numpy est installé,

sudo apt install --no-install-recommends python3-numpy

Linux depuis ~2007. Xubuntu seulement.

Hors ligne